% !TEX program = lualatex

%% Load document class and preamble
\documentclass{scrbook}
\usepackage{scrlayer-scrpage}
\usepackage{preamble}

%% Load bibliography (has to be in main for Sublime to find .bib file)
\addbibresource{bibliography/bibliography.bib}

%% Beginning of actual document
\begin{document}

\frontmatter % Roman page numbering
\include{chapters/titlepage}
\include{chapters/abstract}
\BeforeTOCHead[toc]{{\pdfbookmark[0]{\contentsname}{toc}}}
\tableofcontents
\listoffigures
\listoftables
\listofmovies
\include{chapters/nomenclature}

\mainmatter % Arabic page numbering
\include{chapters/introduction}
\include{chapters/chapter_1}
\include{chapters/chapter_2}
\include{chapters/discussion}

\appendix % Switches to letter section numbering
\include{chapters/appendix}

\backmatter % No section numbering anymore
\setlength{\emergencystretch}{3em}
\printbibliography
\include{chapters/contributions}
\include{chapters/danksagung}
\include{chapters/cv} % for printed version only!

\end{document}
